Page 1 of 4 123 ... LastLast
Results 1 to 10 of 36

Thread: libavcodec.so.53 & imageshack

  1. #1
    Join Date
    Feb 2008
    Location
    UK
    Beans
    682
    Distro
    Ubuntu Development Release

    libavcodec.so.53 & imageshack

    I've installed the official ImageShack uploader in Karmic but i hit the same brick wall as i did in Jaunty:

    joey@joey-ubuntu:~$ imageshack-uploader
    imageshack-uploader: error while loading shared libraries: libavcodec.so.52: cannot open shared object file: No such file or directory

    Any one got any clues on how to resolve this?
    Last edited by joey-elijah; December 23rd, 2009 at 03:40 AM.
    OMG! Ubuntu!
    Everything Ubuntu. Daily.

  2. #2
    Join Date
    Jan 2007
    Beans
    25

    Re: libavcodec.so.53 & imageshack

    No clue but i would like to know the answer too
    am using Karmic 64bit

  3. #3
    Join Date
    Sep 2008
    Location
    Palm Harbor, FL
    Beans
    430
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: libavcodec.so.53 & imageshack

    Also having this problem. Any solution yet? Also going to contact Imagesgack CodeMinders about this, they are the developers of the software.
    My Ubuntu Blog
    My Android Blog

  4. #4
    Join Date
    Sep 2008
    Location
    Palm Harbor, FL
    Beans
    430
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: libavcodec.so.53 & imageshack

    Ok...I emailed the programers for the software and with this:

    Hey There

    I recently made the switch from Photobucket to Imageshack – I found out that Photobucket will no longer be supporting Linux so I dropped them. Then I saw that Imageshack had a bulk uploader (developed by you all of course ), and that it was available for Linux…natively…AWESOME! I downloaded the DEB file and installed it, however, when I clicked on the program in Applications > Internet > Imageshack Uploader it did not do anything. I then ran it in the terminal and got this:

    excedio@excedio-desktop:~$ imageshack-uploader
    imageshack-uploader: error while loading shared libraries: libavcodec.so.52: cannot open shared object file: No such file or directory
    excedio@excedio-desktop:~$

    I am currently using Ubuntu 9.10 64bit. Please help, I really want to support your software.
    and here is the reply I got:

    Excedio,

    There is some problem with Ubuntu 9.10. We are looking into it. Also you probably aware that uploader is open source. So, if somebody is willing to take a look at the problem and send us patches it would help.

    http://code.google.com/p/imageshack-uploader/

    We do not have Ubuntu 9.10 handy, so we will need to install it first to test and debug and that might take few days.

    Sincerely,
    Vadim Zaliva,
    President, Tristero Consulting
    Since I am far from being a programer, maybe someone else in the forum can help out. Also, I am posting this same information in this (http://ubuntuforums.org/showthread.p...88#post8614588) thread. It's related to the same thing.
    Last edited by Excedio; January 5th, 2010 at 07:18 PM.
    My Ubuntu Blog
    My Android Blog

  5. #5
    Join Date
    Sep 2008
    Location
    Palm Harbor, FL
    Beans
    430
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: libavcodec.so.53 & imageshack

    My Ubuntu Blog
    My Android Blog

  6. #6
    Join Date
    Sep 2006
    Beans
    2

    Re: libavcodec.so.53 & imageshack

    Hello. I am developer working on this project.
    Ubuntu Karmic Koala has libavcodec.so.52 (see here) in repos and there is dependency for it in imageshack-uploader package.
    I have tried installing ubuntu today, updating it and installing imageshack-uploader package. It works without any problems.

    Are you using some extra repositories with newer version of ffmpeg/libavcodec?

    I have two solutions for you.

    You can try downgrade to distro's ffmpeg/libavcodec version:
    1) Locate that extra repository with newer libavcodec version
    2) Remove it from repository list
    3) Run sudo aptitude update
    4) Remove package ffmpeg with it's dependencies
    5) Removed cached deb file from /var/cache/apt/archives
    6) Install ffmpeg package again

    OR

    you can try to create symlink, but i'm not if it will work for you:
    1) Check libavcodec version you have:
    $ ls /usr/lib/libavcodec.so.*
    /usr/lib/libavcodec.so.52 /usr/lib/libavcodec.so.52.20.0
    on my system it is 52.20.0
    note: /usr/lib/libavcodec.so.52 (you may have 53 or some other version) here is symlink to /usr/lib/libavcodec.so.52.20.0 (you may have 53.x.y).
    2) Create symlink:
    $ sudo ln -s /usr/lib/libavcodec.so.52.20.0 /usr/lib/libavcodec.so.52
    Important: change 52.20.0 to your libavcodec version from step 1.

    Good luck.

  7. #7
    Join Date
    Sep 2008
    Location
    Palm Harbor, FL
    Beans
    430
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: libavcodec.so.53 & imageshack

    Quote Originally Posted by A2K View Post
    you can try to create symlink, but i'm not if it will work for you:
    1) Check libavcodec version you have:
    $ ls /usr/lib/libavcodec.so.*
    /usr/lib/libavcodec.so.52 /usr/lib/libavcodec.so.52.20.0
    on my system it is 52.20.0
    note: /usr/lib/libavcodec.so.52 (you may have 53 or some other version) here is symlink to /usr/lib/libavcodec.so.52.20.0 (you may have 53.x.y).
    2) Create symlink:
    $ sudo ln -s /usr/lib/libavcodec.so.52.20.0 /usr/lib/libavcodec.so.52
    Important: change 52.20.0 to your libavcodec version from step 1.
    Thank you for replying in the forum, it's very much appreciated.

    Unfortunately, this did not work for me. I still get the same error. I'm going to give the first option a try.
    My Ubuntu Blog
    My Android Blog

  8. #8
    Join Date
    Jun 2007
    Location
    Oklahoma City, OK
    Beans
    200
    Distro
    Kubuntu 10.04 Lucid Lynx

    Re: libavcodec.so.53 & imageshack

    I am having this issue on Kubuntu 9.10 x86_64

    I straced imageshack's uploader and it's looking for the 32-bit libavcodec library
    snippet:
    open("/lib32/libavcodec.so.52", O_RDONLY) = -1 ENOENT (No such file or directory)

    `ldd /usr/bin/imageshack-uploader` says it's also missing other items:
    libavcodec.so.52 => not found
    libavformat.so.52 => not found
    libswscale.so.0 => not found
    libavutil.so.49 => not found

    I used `getlibs /usr/bin/imageshack-uploader` to grab them and everything worked fine.
    http://ubuntuforums.org/showthread.php?t=474790
    Te audire no possum. Musa sapientum fixa est in aure.

  9. #9
    Join Date
    Sep 2008
    Location
    Palm Harbor, FL
    Beans
    430
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: libavcodec.so.53 & imageshack

    Fail..

    Code:
    excedio@excedio-desktop:~$ getlibs /usr/bin/imageshack-uploader
    libavcodec.so.52: libavcodec-extra-52
    libavformat.so.52: libavformat-extra-52
    libswscale.so.0: libswscale-extra-0
    libavutil.so.49: libavutil-extra-49
    The following i386 packages will be installed:
    libavcodec-extra-52
    libavformat-extra-52
    libavutil-extra-49
    libswscale-extra-0
    Continue [Y/n]? y
    Downloading ...
    Failed to download file http://mirrors.kernel.org/ubuntu/pool/non-free/f/ffmpeg-extra/libavcodec-extra-52_0.5+svn20090706-2ubuntu3+medibuntu1_i386.deb
    The mirrors do not have the requested file or there is no internet connection
    Failed to download file http://mirrors.kernel.org/ubuntu/pool/non-free/f/ffmpeg-extra/libavformat-extra-52_0.5+svn20090706-2ubuntu3+medibuntu1_i386.deb
    The mirrors do not have the requested file or there is no internet connection
    Failed to download file http://mirrors.kernel.org/ubuntu/pool/non-free/f/ffmpeg-extra/libavutil-extra-49_0.5+svn20090706-2ubuntu3+medibuntu1_i386.deb
    The mirrors do not have the requested file or there is no internet connection
    Failed to download file http://mirrors.kernel.org/ubuntu/pool/non-free/f/ffmpeg-extra/libswscale-extra-0_0.5+svn20090706-2ubuntu3+medibuntu1_i386.deb
    The mirrors do not have the requested file or there is no internet connection
    No packages to install
    excedio@excedio-desktop:~$
    My Ubuntu Blog
    My Android Blog

  10. #10
    Join Date
    Sep 2008
    Location
    Palm Harbor, FL
    Beans
    430
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: libavcodec.so.53 & imageshack

    So I found libavcodec-extra-52_0.5+svn20090706-2ubuntu3+medibuntu1_i386.deb

    I force installed it and my computer went nuts telling me that I had broken packages. So I had to force re-install the 64bit version.

    Long story short here.. It seems that the Imageshack-uploader needs to be 64bit as well.
    My Ubuntu Blog
    My Android Blog

Page 1 of 4 123 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •